### Method

# Gom Command execute

#### Declaration [src]

    gboolean
    gom_command_execute (
      GomCommand* command,
      GomCursor** cursor,
      GError** error
    )

#### Description

No description available.

#### Parameters

`cursor`

  Type: `GomCursor`

  A location for the cursor.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful; otherwise `FALSE` and `error` is set.